Get request
curl --request GET \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "<string>",
"data": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "customer",
"status": "draft",
"mode": "api_only",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"feature": "<string>",
"providerReference": "<string>",
"routeIntent": {},
"data": {},
"hostedSessions": [
{}
],
"reason": "<string>",
"metadata": {},
"actions": [
{}
],
"availableActions": [
"edit_and_resubmit"
]
},
"requirements": {
"mode": "api_only",
"subjectType": "customer",
"status": "draft",
"schema": {},
"feature": "offramp"
}
},
"status": true
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}Core flow
Get request
Get the saved status and current requirements. Use data.case.status to update your UI and data.requirements.schema to collect any missing information.
GET
/
v1
/
customers
/
{customerId}
/
onboarding-requests
/
{caseId}
Get request
curl --request GET \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "<string>",
"data": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "customer",
"status": "draft",
"mode": "api_only",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"feature": "<string>",
"providerReference": "<string>",
"routeIntent": {},
"data": {},
"hostedSessions": [
{}
],
"reason": "<string>",
"metadata": {},
"actions": [
{}
],
"availableActions": [
"edit_and_resubmit"
]
},
"requirements": {
"mode": "api_only",
"subjectType": "customer",
"status": "draft",
"schema": {},
"feature": "offramp"
}
},
"status": true
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"details": {
"code": "CUSTOMER_ONBOARDING_REQUIRED",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>"
},
"onboarding": {
"caseId": "<string>",
"status": "<string>",
"providerStatus": "<string>",
"action": {
"type": "create_case",
"method": "POST",
"path": "/v1/customers/18d2f159-e0cd-4a45-b735-e9dfe0f7520a/onboarding-requests",
"body": {
"provider": "<string>",
"type": "onramp"
}
}
}
},
"requestId": "<string>"
}Get the saved status and current requirements. Use
data.case.status to update your UI and data.requirements.schema to collect any missing information.
To check for a new provider status, use Refresh status.Authorizations
Path Parameters
Customer identifier.
Customer onboarding case identifier.

